sc::PsiExEnv Class Reference

PsiExEnv specifies a Psi calculation. More...

`#include <psiexenv.h>`

Inheritance diagram for sc::PsiExEnv:
[legend]
Collaboration diagram for sc::PsiExEnv:
[legend]

## Public Member Functions

| PsiExEnv (const Ref< KeyVal > &)
| PsiExEnv (char *cwd, char *fileprefix, int nscratch, char **scratch)
Ref< PsiInput > | get_psi_input () const
| Returns the PsiInput object which PsiExEnv uses.
Ref< PsiFile11 > | get_psi_file11 () const
| Returns the PsiFile11 object which PsiExEnv uses.
int | run_psi ()
| Executes Psi input+driver.
int | run_psi_module (char *)
| Executes a Psi module.
string | get_cwd () const
| Returns current working directory.
string | get_fileprefix () const
| Returns the Psi file prefix.
int | get_nscratch () const
| Returns the number of scratch locations.
string | get_scratch (int i) const
| Returns the ith scratch location.
void | print (std::ostream &o=ExEnv::out0()) const
| Print the object.
Public Member Functions inherited from sc::DescribedClass
| DescribedClass (const DescribedClass &)
DescribedClass & | operator= (const DescribedClass &)
ClassDesc * | class_desc () const throw ()
| This returns the unique pointer to the ClassDesc corresponding to the given type_info object. More...
const char * | class_name () const
| Return the name of the object's exact type.
int | class_version () const
| Return the version of the class.
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Additional Inherited Members

Protected Member Functions inherited from sc::RefCount
| RefCount (const RefCount &)
RefCount & | operator= (const RefCount &)

## Detailed Description

PsiExEnv specifies a Psi calculation.

The documentation for this class was generated from the following file:

- psiexenv.h